POST /v2/templates/{templateID}/builds/{buildID}
Start template build (v2)
Start the build
Параметры
templateID·string· путь · обязательноbuildID·string· путь · обязательно
Тело запроса
Обязательно: да
application/json
Схема: TemplateBuildStartV2
fromImage·string· необязательноImage to use as a base for the template build
fromTemplate·string· необязательноTemplate to use as a base for the template build
fromImageRegistry·FromImageRegistry· необязательноВариант
AWSRegistry· дискриминаторtype=awsfromImageRegistry<AWSRegistry>.type·aws· обязательноType of registry authentication
Допустимые значения:
awsfromImageRegistry<AWSRegistry>.awsAccessKeyId·string· обязательноAWS Access Key ID for ECR authentication
fromImageRegistry<AWSRegistry>.awsSecretAccessKey·string· обязательноAWS Secret Access Key for ECR authentication
fromImageRegistry<AWSRegistry>.awsRegion·string· обязательноAWS Region where the ECR registry is located
Вариант
GCPRegistry· дискриминаторtype=gcpfromImageRegistry<GCPRegistry>.type·gcp· обязательноType of registry authentication
Допустимые значения:
gcpfromImageRegistry<GCPRegistry>.serviceAccountJson·string· обязательноService Account JSON for GCP authentication
Вариант
GeneralRegistry· дискриминаторtype=registryfromImageRegistry<GeneralRegistry>.type·registry· обязательноType of registry authentication
Допустимые значения:
registryfromImageRegistry<GeneralRegistry>.username·string· обязательноUsername to use for the registry
fromImageRegistry<GeneralRegistry>.password·string· обязательноPassword to use for the registry
force·boolean· необязательноWhether the whole build should be forced to run regardless of the cache
По умолчанию:
falsesteps·array<TemplateStep>· необязательноList of steps to execute in the template build
По умолчанию:
[]steps.type·string· обязательноType of the step
steps.args·array<string>· необязательноArguments for the step
По умолчанию:
[]steps.filesHash·string· необязательноHash of the files used in the step
steps.force·boolean· необязательноWhether the step should be forced to run regardless of the cache
По умолчанию:
falsestartCmd·string· необязательноStart command to execute in the template after the build
readyCmd·string· необязательноReady check command to execute in the template after the build
Ответы
202
The build has started
401
Authentication error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError
500
Server error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError